=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-06-26 06:25:57 +0000
+++ drizzled/Makefile.am	2009-07-04 01:55:13 +0000
@@ -85,7 +85,6 @@
 		function/get_system_var.h \
 		function/get_user_var.h \
 		function/last_insert.h \
-		function/length.h \
 		function/locate.h \
 		function/math/abs.h \
 		function/math/acos.h \
@@ -418,7 +417,6 @@
 		function/get_system_var.cc \
 		function/get_user_var.cc \
 		function/last_insert.cc \
-		function/length.cc \
 		function/locate.cc \
 		function/min_max.cc \
 		function/num1.cc \

=== removed file 'drizzled/function/length.cc'
--- drizzled/function/length.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/length.cc	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <drizzled/function/length.h>
-
-int64_t Item_func_length::val_int()
-{
-  assert(fixed == 1);
-  String *res=args[0]->val_str(&value);
-  if (!res)
-  {
-    null_value=1;
-    return 0; /* purecov: inspected */
-  }
-  null_value=0;
-  return (int64_t) res->length();
-}
-

=== removed file 'drizzled/function/length.h'
--- drizzled/function/length.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/length.h	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_LENGTH_H
-#define DRIZZLED_FUNCTION_LENGTH_H
-
-#include <drizzled/function/func.h>
-#include <drizzled/function/math/int.h>
-
-class Item_func_length :public Item_int_func
-{
-  String value;
-public:
-  Item_func_length(Item *a) :Item_int_func(a) {}
-  int64_t val_int();
-  const char *func_name() const { return "length"; }
-  void fix_length_and_dec() { max_length=10; }
-};
-
-#endif /* DRIZZLED_FUNCTION_LENGTH_H */

=== added directory 'plugin/length'
=== added file 'plugin/length/length.cc'
--- plugin/length/length.cc	1970-01-01 00:00:00 +0000
+++ plugin/length/length.cc	2009-07-04 01:55:13 +0000
@@ -0,0 +1,91 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include <drizzled/function/func.h>
+#include <drizzled/function/math/int.h>
+
+using namespace std;
+
+class LengthFunction :public Item_int_func
+{
+  String value;
+public:
+  int64_t val_int();
+  LengthFunction() :Item_int_func() {}
+  
+  const char *func_name() const 
+  { 
+    return "length"; 
+  }
+  
+  void fix_length_and_dec() 
+  { 
+    max_length= 10; 
+  }
+
+  bool check_argument_count(int n)
+  {
+    return (n==1);
+  }
+};
+
+int64_t LengthFunction::val_int()
+{
+  assert(fixed == 1);
+  String *res=args[0]->val_str(&value);
+  
+  if (res == false)
+  {
+    null_value= 1;
+    return 0; /* purecov: inspected */
+  }
+
+  null_value= 0;
+  return (int64_t) res->length();
+}
+
+Create_function<LengthFunction> lengthudf(string("length"));
+
+static int initialize(PluginRegistry &registry)
+{
+  registry.add(&lengthudf);
+  return 0;
+}
+
+static int finalize(PluginRegistry &registry)
+{
+   registry.remove(&lengthudf);
+   return 0;
+}
+
+drizzle_declare_plugin(length)
+{
+  "length",
+  "1.0",
+  "Devananda van der Veen",
+  "Return the byte length of a string",
+  PLUGIN_LICENSE_GPL,
+  initialize, /* Plugin Init */
+  finalize,   /* Plugin Deinit */
+  NULL,   /* status variables */
+  NULL,   /* system variables */
+  NULL    /* config options */
+}
+drizzle_declare_plugin_end;

=== added file 'plugin/length/plugin.ini'
--- plugin/length/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/length/plugin.ini	2009-07-04 01:55:13 +0000
@@ -0,0 +1,5 @@
+[plugin]
+name=charlength
+title=UDF Plugin for CharLength
+description=UDF Plugin for returning number of characters in a string
+load_by_default=yes

